Name:           tvbrowser
Version:        3.3.1
Release:        %mkrel 4
Summary:        A digital TV guide
License:        GPLv2+
Group:          Video/Television
Url:            http://www.tvbrowser.org/en/
BuildArch:      noarch
Source0:        %{name}_%{version}_src.zip
BuildRequires:  ant
BuildRequires:  imagemagick
BuildRequires:  java-sdk-1.7.0-openjdk
Requires:       jre-1.7.0-openjdk
Requires:       hicolor-icon-theme

%description
TV-Browser is a digital TV guide.
TV-Browser gets the daily TV program from the internet and shows it clearly
aranged - like a printed TV guide. An internet connection is only necessary
during the data update.

%prep
%setup -q

%build
ant runtime

%install
# copy the runtime directory to %{_datadir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a runtime/tvbrowser_default/* %{buildroot}%{_datadir}/%{name}

# create the application launcher
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
cd %{_datadir}/%{name}
java -jar tvbrowser.jar -nosplash
EOF

# install the menu icons
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
convert -geometry 16x16 runtime/tvbrowser_default/imgs/tvbrowser16.png %{buildroot}%{_miconsdir}/%{name}.png
convert -geometry 32x32 runtime/tvbrowser_default/imgs/tvbrowser32.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 48x48 runtime/tvbrowser_default/imgs/tvbrowser48.png %{buildroot}%{_liconsdir}/%{name}.png

# create the desktop entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TV Browser
Comment=A java-based TV guide
Comment[de]=Eine Java basierende TV Zeitung
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Video;TV;
EOF

%files
%{_datadir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.3.1-4.mga4
+ Revision: 533049
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 obgr_seneca <obgr_seneca> 3.3.1-3.mga4
+ Revision: 470932
- New version 3.3.1

* Wed Jan 23 2013 barjac <barjac> 3.2-3.mga3
+ Revision: 391629
- update group

* Mon Jan 14 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 384904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 obgr_seneca <obgr_seneca> 3.2-1.mga3
+ Revision: 300062
- Adapted to new rpm group policy
- new version 3.2

* Mon Jun 25 2012 obgr_seneca <obgr_seneca> 3.1-1.mga3
+ Revision: 263524
- Added missing BR for java-sdk
- imported package tvbrowser

